/*
 * Copyright (C) 2005 TopCoder Inc., All Rights Reserved.
 *
 * TCS File Statistics 1.0
 */
package com.topcoder.file.statistics;

/**
 * <summary> Framework exception which provides the extension base for all exceptions. It does not subclass Base
 * Exception since JDK 1.3 is not supported. </summary>
 *
 * @author WishingBone, TCSDEVELOPER
 * @version 1.0
 */
public class FileStatisticsException extends Exception {

    /**
     * <summary> Constructor with message (no checks). </summary>
     *
     * @param message the message
     */
    public FileStatisticsException(String message) {
        super(message);
    }

    /**
     * <summary> Constructor with message and cause (no checks). </summary>
     *
     * @param message the message
     * @param cause the cause
     */
    public FileStatisticsException(String message, Throwable cause) {
        super(message, cause);
    }
}
